Subject: Re: bug#75011: Problem with libstdbuf.so

From: Pádraig Brady <[email-masked]>
Date: Sat, 21 Dec 2024 21:29:06 +0000

tag 75011 notabug
close 75011
stop

On 20/12/2024 10:11, Emiliano Ezequiel Parenti wrote:
> I mean there is a problem with libstdbuf.so, because operating systems put
> that file in the libexec folder, and that folder should only contain
> executables, not libraries.
> 
> I would like this to change, for systems to put files where they should, so
> that the so files go to lib, and bash and elf scripts go to bin.
> 
> Also, I want the /libexec/coreutils folder not to be used, because if I
> wanted to merge the two folders, /bin and /libexec, then the merged /bin
> and /libexec folders would collide with /coreutils, I want systems to find
> a way to have different names for their executables in the libexec folder,
> as it would prevent a merge of the two folders.

Well libexec is the right place for binaries
that are used at runtime but not linked to.

The good news is you can override this with:
`make pkglibexecdir=/usr/bin ...`

cheers,
Pádraig